/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FABR                                                     */
/* Tabela : FABRICANTE                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 13/01/2004 - Luiz Otvio de Souza                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_FABR
BEFORE INSERT OR UPDATE OR DELETE
ON FABRICANTE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUFABR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDFABRIC,0)  <> NVL(:NEW.CDFABRIC,0)) THEN
         :NEW.DTULTATUFABR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('FABRICANTE', '', 'CDFABRIC='||:OLD.CDFABRIC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE FABRICANTE MODIFY DTULTATUFABR DEFAULT SYSDATE
/
